{
  "condition": "any_of",
  "terms": [
    {
      "condition": "entity_properties",
      "entity": "this",
      "predicate": {
        "slots": {
          "contents": {
            "predicates": {
              "custom_data": {
                "or_can_be_used_on_composter": true
              }
            }
          }
        }
      }
    },
    {
      "condition": "entity_properties",
      "entity": "this",
      "predicate": {
        "slots": {
          "contents": {
            "items": "#overly_realistic:can_be_used_on_composter"
          }
        }
      }
    },
    {
      "condition": "entity_properties",
      "entity": "this",
      "predicate": {
        "slots": {
          "contents": {
            "predicates": {
              "custom_data": {
                "or_is_food": true
              },
              "damage": {
                "damage": 10000
              }
            }
          }
        }
      }
    }
  ]
}